Core - Task # 54554

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54267 (Resolved): As an Editor | want to use a FAL withouth bugs

Status: Resolved Priority: Should have
Author: Marcin Sagol Category: File Abstraction Layer (FAL)
Created: 2013-12-21 Assigned To:

Updated: 2014-01-30 Due date:

TYPOS3 Version: 6.2

PHP Version: 5.5

Complexity:

Sprint Focus:

Subject: FAL: Folder not found and dockheader menu broken

Description

Hi,

i had folder with one file inside. To be able to remove this folder (with current user settings) i had to remove first file than folder. | have
deleted file than folder. After folder was deleted i have 2 messages:

Success: Fodler deletred

and

Error: Folder not found

| think that if folder what was opened is deleted user shoudl be redirected to parent to avoid this "Folder not found" message.

Also take a look at dockheader menu - there are only markers displayed but not any html element.

See attached file.

Associated revisions

Revision 0a00643f - 2014-01-30 19:34 - Steffen Ritter

[TASK] Deleting currently opened folder in filelist results in error

When you have a folder opened in the filelist and then delete it
via the folder-tree the file-module shows an error after its reload.

This patch checks for existence of the folder before it is created.
If it is not existent it checks wether the parent folder exists and
is accessible. If, so the parent folder will be shown instead.

If the parent folder is not accessible the usual exception is thrown.

Releases: 6.2

Resolves: #54554

Change-Id: 17a21c76fd476ebce439489040f3b4c6786afd10a
Reviewed-on: https://review.typo3.0rg/27030

Reviewed-by: Marcin Sagol
History

#1 - 2013-12-21 20:18 - Marcin Sagol

| forgot to mention that folder 'materialy_wideo' was under 'fileadmin' so: fileadmin/materialy_wideo/

#2 - 2014-01-20 16:04 - Ingo Schmitt
- Parent task set to #54267

#3 - 2014-01-23 17:56 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27030

#4 - 2014-01-30 20:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0a00643f7549cc3aeb4518e9a7065fb10187d402.
